Package com.oracle.truffle.api.nodes

## Class NodeUtil.NodeField

- java.lang.Object
- - com.oracle.truffle.api.nodes.NodeUtil.NodeField

Enclosing class:
  NodeUtil

    public static final class NodeUtil.NodeField
    extends java.lang.Object

Information about a field in a `Node` class.

### Constructor Summary

Constructors
`protected` `NodeField​(NodeUtil.NodeFieldKind kind, java.lang.Class<?> type, java.lang.String name, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`NodeUtil.NodeFieldKind` `getKind()`
`java.lang.String` `getName()`
`long` `getOffset()`
`java.lang.Class<?>` `getType()`
`int` `hashCode()`
`java.lang.Object` `loadValue​(Node node)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeField

    protected NodeField​(NodeUtil.NodeFieldKind kind,
                        java.lang.Class<?> type,
                        java.lang.String name,
                        long offset)

### Method Detail

#### getKind

    public NodeUtil.NodeFieldKind getKind()

#### getType

    public java.lang.Class<?> getType()

#### getName

    public java.lang.String getName()

#### getOffset

    public long getOffset()

#### loadValue

    public java.lang.Object loadValue​(Node node)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`